Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cz.vutbr.feec.utko.fojtoval.krypto.funkce
Class Fa

    java.lang.Object
      cz.vutbr.feec.utko.fojtoval.krypto.funkce.Statistika
          cz.vutbr.feec.utko.fojtoval.krypto.funkce.Fa

    public class Fa

extends Statistika

Pomocne metody pro kresleni grafu a tabulek frevencni analyzy.

Constructor Summary
`Fa()`

Method Summary
`void` | `fa(java.lang.String text)` Prochazi zadany text a do pole fre pricita pocet vyskytu jednotlivych pismen.
`void` | `mapovani(java.lang.String text)` Mapuje pismena analyzovaneho textu podle cetnosti na pismena ceske zakladni abecedy.
`static java.lang.String[][]` | `naplndruhoutabulku(java.lang.String s, java.lang.Boolean jeempty)` Plni tabulku daty.
`static double[][]` | `naplnprvnitabulku(java.lang.String s)` Plni tabulku daty.
`static double[]` | `procFa(java.lang.String text)` Vraci procentuelni rozlozeni znaku analyzovaneho textu

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Fa

    public Fa()

Method Detail

### fa

    public void fa(java.lang.String text)

  Prochazi zadany text a do pole fre pricita pocet vyskytu jednotlivych pismen.

  Parameters:
    `text` -

### procFa

    public static double[] procFa(java.lang.String text)

  Vraci procentuelni rozlozeni znaku analyzovaneho textu

  Parameters:
    `text` - analyzovany text
  Returns:
    procentuelni rozlozeni znaku

### mapovani

    public void mapovani(java.lang.String text)

  Mapuje pismena analyzovaneho textu podle cetnosti na pismena ceske zakladni abecedy.

  Parameters:
    `text` - analyzovany text

### naplnprvnitabulku

    public static double[][] naplnprvnitabulku(java.lang.String s)

  Plni tabulku daty.

  Parameters:
    `s` -
  Returns:

### naplndruhoutabulku

    public static java.lang.String[][] naplndruhoutabulku(java.lang.String s,
                                                          java.lang.Boolean jeempty)

  Plni tabulku daty.

  Parameters:
    `s` -
    `jeempty` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD